<!DOCTYPE html>
<html lang="en" dir="ltr">
  {{ template "head.html" .}}
  <body>
    {{ template "navbar.html" .}}
    <div class="uk-container uk-container-large">
        <form action="{{ $.pathPrefix }}/album/save" method="post">
          Bucket subdir: 
          <input class="uk-input" type="text" name="BucketSubdirName" value="{{ .album.BucketSubdirName }}" {{ if .album.BucketSubdirName }}readonly{{ end }}>
          Name: 
          <input class="uk-input" type="text" name="Name" value="{{ .album.Name }}">
          Description: 
          <input class="uk-input" type="text" name="Description" value="{{ .album.Description }}">
          Password:
          <input class="uk-input" type="text" name="Password" value="{{ .album.Password }}" id="passwordInput">
          <button class="uk-button uk-button-default" type="button" onclick="generatePassword()">Generate new password</button>
          <button class="uk-button uk-button-default" type="submit">Save</button>
        </form>
    </div>
    <script>
      function generatePassword() {
        var newPassword         = '';
        var characters       = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
        var charactersLength = characters.length;
        for ( var i = 0; i < 16; i++ ) {
          newPassword += characters.charAt(Math.floor(Math.random() * charactersLength));
        }
        document.getElementById("passwordInput").value = newPassword
      }
    </script>
  </body>
</html>